import request from '@/config/axios'

export interface RawCoalToWashVO {

}

export interface RawCoalToWashPageReqVO extends PageParam {

}

// 查询RawCoalToWash列表
export const getRawCoalToWashPage = (params: RawCoalToWashPageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/wash/toWash/page', params })
}

// 查询RawCoalToWash列表
export const getPointList = (params: RawCoalToWashPageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/wash/toWash/list', params })
}

// 查询RawCoalToWash详情
export const getRawCoalToWash = (id: number) => {
  return request.get({ url: `/xmcpms/prod/wash/toWash/info/${id}`})
}

// 新增RawCoalToWash
export const createRawCoalToWash = (data: RawCoalToWashVO) => {
  return request.post({ url: '/xmcpms/order-prod/wash/toWash/create', data })
}

// 修改RawCoalToWash
export const updateRawCoalToWash = (data: RawCoalToWashVO) => {
  return request.put({ url: '/xmcpms/order-prod/wash/toWash/update', data })
}

// 删除RawCoalToWash
export const deleteRawCoalToWash = (id: number) => {
  return request.delete({ url: '/xmcpms/order-prod/wash/toWash/delete?id=' + id })
}

//导出RawCoalToWashList
export const exportRawCoalToWash = (params) => {
  return request.download({ url: '/xmcpms/order-prod/wash/toWash/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/order-prod/wash/toWash/get-import-template' })
}
